Create a Feature Flag

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request URI for Sub Account

POST /accounts/123456/features

Sample Request Body

{
    "name": "FeatureFlag1",
    "featureKey": "featureflag1",
    "description": "First feature flag created via REST APIs",
    "featureType": "TEMPORARY",
    "goals": [
        {
            "metricId": 5
        }
    ],
    "variables": [
        {
            "variableName": "variable1",
            "dataType": "string",
            "defaultValue": "Hello World"
        },
        {
            "variableName": "variable2",
            "dataType": "integer",
            "defaultValue": 10
        },
        {
            "variableName": "variable3",
            "dataType": "json",
            "defaultValue": { "name": "Wingify", "description": "Description" }
        }
    ]
}
Path Params
string
required
Defaults to current
Body Params
string
required
string
required
string
string
enum
required
Defaults to TEMPORARY
Allowed:
goals
object
variables
array of objects
variables
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json